Bug 171332 - NPTL sighup bug
NPTL sighup bug
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
http://www.ussg.iu.edu/hypermail/linu...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 17:03 EDT by seph
Modified: 2012-06-20 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:57:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description seph 2005-10-20 17:03:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
From the URL:

    one friend noticed that multithreaded programs (VMware...) behave erraticaly
    when started from rxvt or xterm with -e option. We've traced it down to some
    strange SIGHUP delivery.

    When process is session leader, is it supposed to receive SIGHUP when child
    thread terminates? It did not receive SIGHUP under non-NPTL library, and    
    IMHO it was correct behavior. Now all exiting threads cause SIGHUP to be 
    delivered to the parent, and parent (I'd say correctly) assumes that 
    connection to the program was broken and terminates.

This is fairly serious. And while we can kludge around it by ignoring sighup in c, java has the same problem, and I don't think we can work around it there.

Previously mentioned URL includes sample code, and later in that email thread there's a patch.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-22.EL

How reproducible:
Always

Steps to Reproduce:
1. run test code
2.
3.
  

Additional info:

This appears to have been fixed in kernel 2.6.11
Comment 2 seph 2005-11-04 09:59:47 EST
I'm sorta curious what's going on with this. This seems like a fairly major bug
to me, as it comes up execing any multithreaded app. Any plans?
Comment 3 Jiri Pallich 2012-06-20 12:57:31 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.